class NewLife extends AlienShip
{
  PShape _newLife;


  //constructor
  NewLife(int x, int y, float h) {

    super(x, y, h, 0);
    _type = 0;
    _width = h;
    _height = _width;
    _newLife = loadShape("icons/newlife.svg");
  }

  void update() {
    calcPos(); //get's new Position of the Life

    pushStyle();
    shapeMode(CENTER);

    shape(_newLife, _pos.x, _pos.y, _width, _height);

    popStyle();
  }

  void calcPos() { //update the PVectors for the positioning
    if (_type == 1) {  //if destroyer
      _pos.add(-2, 0, 0);
    } 
    else {
      _pos.add(-4, 0, 0);
    }
  }
  
  
  //how the hell can I access function in the superclass???
//  boolean outOfScreen() {
//    if ((_pos.x + _width) < 0) {
//      //      println("Alien passed, Huh!");
//      return true;
//    } 
//    else {
//      return false;
//    }
//  }
}

