class SpaceShip
{
  PShape _shipShape;
  PShape _shipShapeShield;

  PVector _pos;
  PVector _dir;
  float   _width;
  float   _height;
  float   _shieldheight;
  float   _shieldwidth;
  int   _movingstep = 8; //per Arrow pressed ships moves by this number
  color _color;
  int _h;





  //Constructor
  SpaceShip(int x, int y, float size, int gameGUIbar_h) {
    _pos = new PVector(x, y); //set position
    _dir = new PVector(0, 0);  //no direction at the beginning
    _height = size;
    _shieldheight = size*1.7878; // 59/33
    _shieldwidth = 19;
    _width = size*2.33333; // 77/33
    _color = color(255);
    _shipShape = loadShape("spaceship.svg"); //77x33
    _shipShapeShield = loadShape("shield.svg");  //59height
    _h = gameGUIbar_h;
  }

  //draws Spaceship
  void draw (boolean shieldActive) {
    calcPos(); //get's new Position of the Spaceship
    pushStyle();
    shapeMode(CENTER);
    if (shieldActive) {
      shape(_shipShapeShield, _pos.x +10.9, _pos.y + 3.5, _shieldwidth, _shieldheight); //manual adjustment of the shield to the ship... naja
    }
    shape(_shipShape, _pos.x+_width/2, _pos.y, _width, _height);

    //    noStroke();
    //    rectMode(CENTER);
    //    rect(_pos.x, _pos.y, _width, _height);
    popStyle();
  }


  void calcPos() { //updates the position and direction of Spaceship
    if (keyPressed) {
      if (keyCode == UP && _pos.y - _height/2 > _h  ) {
        _pos.add(0, -_movingstep, 0);
        //        println("UP");
      } 
      else if (keyCode == DOWN && _pos.y + _height/2 < height) {
        _pos.add(0, _movingstep, 0);
        //        println("DOWN");
      }
    }
  }

  void shoot() {
    //    shot = new Shot
  }
}

