//UI
public void initUI() {
  pushStyle();
  fill(50);
  rectMode(CORNER);
  rect(0, 0, width, gameGUIbar_h);
  stroke(120);
  line(0, gameGUIbar_h, width, gameGUIbar_h);
  popStyle();

  for (int i = 0; i < lives; i++) {
    pushStyle();
    shapeMode(CENTER);
    shape(life, 25*(i+1), gameGUIbar_h/2, gameGUIbar_h - 9, gameGUIbar_h - 9); //small manual adaption to Y-position ...
    popStyle();
  }
}

public void drawCount()
{
int actualScore = counter.update(scorePerFrame);
  pushStyle();
  textFont(fontT, 25);
  text("Score:", width-250, gameGUIbar_h - 15);
  textAlign(RIGHT);
  text(actualScore, width-20, gameGUIbar_h - 15);
  popStyle();
}
